NX Open C++ Reference Guide
Classes | Public Member Functions | List of all members
NXOpen::Motion::SplineBeamCollection Class Reference

Represents a collection of SplineBeams
To obtain an instance of this class, refer to NXOpen::Motion::MotionManager

Created in NX12.0.0. More...

Inheritance diagram for NXOpen::Motion::SplineBeamCollection:
NXOpen::TaggedObjectCollection

Classes

class  iterator
 Iterator for accessing the contents of the collection. More...
 

Public Member Functions

iterator begin ()
 Returns an iterator addressing the first element. More...
 
NXOpen::Motion::SplineBeamBuilderCreateSplineBeamBuilder (NXOpen::Motion::SplineBeam *splineBeam)
 Creates a Motion::SplineBeamBuilder. More...
 
iterator end ()
 Returns an iterator addressing one past the last element. More...
 
NXOpen::Motion::SplineBeamFindObject (const NXString &name)
 Finds the NXOpen::Motion::SplineBeam with the given name. More...
 
NXOpen::Motion::SplineBeamFindObject (const char *name)
 Finds the NXOpen::Motion::SplineBeam with the given name. More...
 
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

Represents a collection of SplineBeams
To obtain an instance of this class, refer to NXOpen::Motion::MotionManager

Created in NX12.0.0.


Member Function Documentation

iterator NXOpen::Motion::SplineBeamCollection::begin ( )

Returns an iterator addressing the first element.

NXOpen::Motion::SplineBeamBuilder* NXOpen::Motion::SplineBeamCollection::CreateSplineBeamBuilder ( NXOpen::Motion::SplineBeam splineBeam)

Creates a Motion::SplineBeamBuilder.

Returns
SplineBeamBuilder object
Created in NX12.0.0.

License requirements : mechanisms ("MECHANISMS")
Parameters
splineBeamNXOpen::Motion::SplineBeam to be edited, if NULL then create a new one
iterator NXOpen::Motion::SplineBeamCollection::end ( )

Returns an iterator addressing one past the last element.

NXOpen::Motion::SplineBeam* NXOpen::Motion::SplineBeamCollection::FindObject ( const NXString name)

Finds the NXOpen::Motion::SplineBeam with the given name.

An exception will be thrown if no object can be found with given name.

Returns
NXOpen::Motion::SplineBeam with this name
Created in NX12.0.0.

License requirements : mechanisms ("MECHANISMS")
Parameters
nameThe name of the NXOpen::Motion::SplineBeam
NXOpen::Motion::SplineBeam* NXOpen::Motion::SplineBeamCollection::FindObject ( const char *  name)

Finds the NXOpen::Motion::SplineBeam with the given name.

An exception will be thrown if no object can be found with given name.

Returns
NXOpen::Motion::SplineBeam with this name
Created in NX12.0.0.

License requirements : mechanisms ("MECHANISMS")
Parameters
nameThe name of the NXOpen::Motion::SplineBeam
tag_t NXOpen::Motion::SplineBeamCollection::Tag ( ) const

Returns the tag of this object.


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.